[package]
name = "builder"
version = "0.4.7"
authors = ["Kornel <kornel@geekhood.net>"]
edition.workspace = true
default-run = "builder"
publish = false

[[bin]]
path = "src/bin/builder.rs"
name = "builder"

[dependencies]
kitchen_sink = { path = "../kitchen_sink", version = "0.9" }
rusqlite.workspace = true
parking_lot = "0.12.1"
chrono = { workspace = true }
regex = { workspace = true }
serde = { workspace = true }
serde_json = "1.0.133"
scopeguard = "1.2.0"
rand.workspace = true
crate_db = { path = "../crate_db", version = "0.4.5" }
util = { path = "../util" }
crates-index.workspace = true
tokio = { workspace = true }
crossbeam-channel = "0.5.13"
fs4 = "0.12"
log = "0.4.14"
futures = "0.3.14"
env_logger.workspace = true
itertools.workspace = true
tempfile = "3.14.0"
anyhow = "1.0.94"
cargo_toml.workspace = true
toml = "0.8.19"

[lints]
workspace = true
